import axios from "@/utils/request";
import {sysFilterOptimize} from '../udiRelevance'

export function getUdiInfos(query) {
  return axios({
    url: "/udiwms/udiinfo/filterUdi",
    method: "get",
    params: query
  });
}

export function filterCompany(query) {
  return axios({
    url: "/udiwms/udiinfo/filterCompany",
    method: "get",
    params: query
  });
}

export function filterCompanyOptimize(query) {
  return axios({
    url: "/udiwms/udiinfo/filterCompanyOptimize",
    method: "get",
    params: query
  });
}

export function filterByUuid(query) {
  return axios({
    url: "/udiwms/udiinfo/local/filterByUuid",
    method: "get",
    params: query
  });
}

export function filterByVersion(query) {
  return axios({
    url: "/udiwms/syncdi/version",
    method: "get",
    params: query
  });
}

export function selectOriginuuid(query) {
  return axios({
    url: "/udi/udirel/selectOriginuuid",
    method: "post",
    data: query
  });
}

export function levelByUuid(query) {
  return axios({
    url: "/udiwms/udi/local/levelByUuid",
    method: "get",
    params: query
  });
}


